TestClass.c File Reference

Source file for TestClass methods. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "TestClass.h"`
Include dependency graph for TestClass.c:

## Data Structures

struct | s_TestClass

## Functions

TestClass * | TestClass_new ()
void | TestClass_delete (TestClass *q)
int | TestClass_assign (TestClass *p, const TestClass *q)
TestClass * | TestClass_dup (const TestClass *q)
const UpnpListHead * | TestClass_get_TheList (const TestClass *p)
int | TestClass_set_TheList (TestClass *p, const UpnpListHead *q)
void | TestClass_add_to_list_TheList (TestClass *p, struct UpnpListHead *head)
int | TestClass_get_TheInteger (const TestClass *p)
int | TestClass_set_TheInteger (TestClass *p, int n)
unsigned long | TestClass_get_TheUnsignedLong (const TestClass *p)
int | TestClass_set_TheUnsignedLong (TestClass *p, unsigned long n)
char * | TestClass_get_TheCharPointer (const TestClass *p)
int | TestClass_set_TheCharPointer (TestClass *p, char *n)
const struct TheStruct * | TestClass_get_TheBuffer (const TestClass *p)
int | TestClass_set_TheBuffer (TestClass *p, const struct TheStruct *buf)
void | TestClass_clear_TheBuffer (TestClass *p)
const UpnpActionComplete * | TestClass_get_TheActionComplete (const TestClass *p)
int | TestClass_set_TheActionComplete (TestClass *p, const UpnpActionComplete *s)
const UpnpString * | TestClass_get_TheString (const TestClass *p)
int | TestClass_set_TheString (TestClass *p, const UpnpString *s)
size_t | TestClass_get_TheString_Length (const TestClass *p)
const char * | TestClass_get_TheString_cstr (const TestClass *p)
int | TestClass_strcpy_TheString (TestClass *p, const char *s)
int | TestClass_strncpy_TheString (TestClass *p, const char *s, size_t n)
void | TestClass_clear_TheString (TestClass *p)
const DOMString | TestClass_get_TheDomString (const TestClass *p)
int | TestClass_set_TheDomString (TestClass *p, const DOMString s)
const char * | TestClass_get_TheDomString_cstr (const TestClass *p)

## Detailed Description

Source file for TestClass methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Function Documentation

## TestClass_add_to_list_TheList()

void TestClass_add_to_list_TheList | ( | TestClass * | p,
|  | UpnpListHead * | head
| ) |  |

TestClass_add_to_list_TheList

## TestClass_assign()

int TestClass_assign | ( | TestClass * | p,
|  | const TestClass * | q
| ) |  |

Assignment operator

References TestClass_get_TheActionComplete(), TestClass_get_TheBuffer(), TestClass_get_TheCharPointer(), TestClass_get_TheDomString(), TestClass_get_TheInteger(), TestClass_get_TheList(), TestClass_get_TheString(), TestClass_get_TheUnsignedLong(), TestClass_set_TheActionComplete(), TestClass_set_TheBuffer(), TestClass_set_TheCharPointer(), TestClass_set_TheDomString(), TestClass_set_TheInteger(), TestClass_set_TheList(), TestClass_set_TheString(), and TestClass_set_TheUnsignedLong().

Referenced by TestClass_dup().

## TestClass_clear_TheBuffer()

void TestClass_clear_TheBuffer | ( | TestClass * | p | ) |

TestClass_get_TheBuffer

## TestClass_clear_TheString()

void TestClass_clear_TheString | ( | TestClass * | p | ) |

TestClass_clear_TheString

References UpnpString_clear().

## TestClass_delete()

void TestClass_delete | ( | TestClass * | p | ) |

Destructor

References ixmlFreeDOMString(), UpnpActionComplete_delete(), and UpnpString_delete().

## TestClass_dup()

TestClass * TestClass_dup | ( | const TestClass * | p | ) |

Copy Constructor

References TestClass_assign(), and TestClass_new().

## TestClass_get_TheActionComplete()

const UpnpActionComplete * TestClass_get_TheActionComplete | ( | const TestClass * | p | ) |

TestClass_get_TheActionComplete

Referenced by TestClass_assign().

## TestClass_get_TheBuffer()

const struct TheStruct * TestClass_get_TheBuffer | ( | const TestClass * | p | ) |

TestClass_get_TheBuffer

Referenced by TestClass_assign().

## TestClass_get_TheCharPointer()

char * TestClass_get_TheCharPointer | ( | const TestClass * | p | ) |

TestClass_get_TheCharPointer

Referenced by TestClass_assign().

## TestClass_get_TheDomString()

const DOMString TestClass_get_TheDomString | ( | const TestClass * | p | ) |

TestClass_get_TheDomString

Referenced by TestClass_assign(), and TestClass_get_TheDomString_cstr().

## TestClass_get_TheDomString_cstr()

const char * TestClass_get_TheDomString_cstr | ( | const TestClass * | p | ) |

TestClass_get_TheDomString_cstr

References TestClass_get_TheDomString().

## TestClass_get_TheInteger()

int TestClass_get_TheInteger | ( | const TestClass * | p | ) |

TestClass_get_TheInteger

Referenced by TestClass_assign().

## TestClass_get_TheList()

const UpnpListHead * TestClass_get_TheList | ( | const TestClass * | p | ) |

TestClass_get_TheList

Referenced by TestClass_assign().

## TestClass_get_TheString()

const UpnpString * TestClass_get_TheString | ( | const TestClass * | p | ) |

TestClass_get_TheString

Referenced by TestClass_assign(), TestClass_get_TheString_cstr(), and TestClass_get_TheString_Length().

## TestClass_get_TheString_cstr()

const char * TestClass_get_TheString_cstr | ( | const TestClass * | p | ) |

TestClass_get_TheString_cstr

References TestClass_get_TheString(), and UpnpString_get_String().

## TestClass_get_TheString_Length()

size_t TestClass_get_TheString_Length | ( | const TestClass * | p | ) |

TestClass_get_TheString_Length

References TestClass_get_TheString(), and UpnpString_get_Length().

## TestClass_get_TheUnsignedLong()

unsigned long TestClass_get_TheUnsignedLong | ( | const TestClass * | p | ) |

TestClass_get_TheUnsignedLong

Referenced by TestClass_assign().

## TestClass_new()

TestClass * TestClass_new | ( |  | ) |

Constructor

References UpnpActionComplete_new(), and UpnpString_new().

Referenced by TestClass_dup().

## TestClass_set_TheActionComplete()

int TestClass_set_TheActionComplete | ( | TestClass * | p,
|  | const UpnpActionComplete * | n
| ) |  |

TestClass_set_TheActionComplete

References UpnpActionComplete_delete(), and UpnpActionComplete_dup().

Referenced by TestClass_assign().

## TestClass_set_TheBuffer()

int TestClass_set_TheBuffer | ( | TestClass * | p,
|  | const struct TheStruct * | buf
| ) |  |

TestClass_get_TheBuffer

Referenced by TestClass_assign().

## TestClass_set_TheCharPointer()

int TestClass_set_TheCharPointer | ( | TestClass * | p,
|  | char * | n
| ) |  |

TestClass_set_TheCharPointer

Referenced by TestClass_assign().

## TestClass_set_TheDomString()

int TestClass_set_TheDomString | ( | TestClass * | p,
|  | const DOMString | s
| ) |  |

TestClass_set_TheDomString

References DOMString, ixmlCloneDOMString(), and ixmlFreeDOMString().

Referenced by TestClass_assign().

## TestClass_set_TheInteger()

int TestClass_set_TheInteger | ( | TestClass * | p,
|  | int | n
| ) |  |

TestClass_set_TheInteger

Referenced by TestClass_assign().

## TestClass_set_TheList()

int TestClass_set_TheList | ( | TestClass * | p,
|  | const UpnpListHead * | q
| ) |  |

TestClass_set_TheList

Referenced by TestClass_assign().

## TestClass_set_TheString()

int TestClass_set_TheString | ( | TestClass * | p,
|  | const UpnpString * | s
| ) |  |

TestClass_set_TheString

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by TestClass_assign().

## TestClass_set_TheUnsignedLong()

int TestClass_set_TheUnsignedLong | ( | TestClass * | p,
|  | unsigned long | n
| ) |  |

TestClass_set_TheUnsignedLong

Referenced by TestClass_assign().

## TestClass_strcpy_TheString()

int TestClass_strcpy_TheString | ( | TestClass * | p,
|  | const char * | s
| ) |  |

TestClass_strcpy_TheString

References UpnpString_set_String().

## TestClass_strncpy_TheString()

int TestClass_strncpy_TheString | ( | TestClass * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

TestClass_strncpy_TheString

References UpnpString_set_StringN().